import { CleaveOptions } from "cleave.js/options";
import Cleave from "cleave.js/dist/cleave-esm";
export interface INumericInputModuleOptions {
    numeral?: boolean;
    integerCount?: number;
    decimalCount?: number;
    decimalMark?: string;
    thousandSeparatorMark?: string;
    positiveOnly?: boolean;
    prefix?: string;
    blocks?: number[];
    stripLeadingZeroes?: boolean;
}
export default class NumericInputModule {
    $element: JQuery;
    cleave: Cleave;
    constructor(selectorOrElement: string | Element, options: INumericInputModuleOptions);
    transformOptionsToCleaveOptions(options: INumericInputModuleOptions): CleaveOptions;
    getRawValue(): number;
    setRawValue(value: string | number): void;
    getFormattedValue(): string;
}
